# Actions

The Engage add-on contributes the following actions.

| Display Name                | Alias                                    | Purpose                                          |
| --------------------------- | ---------------------------------------- | ------------------------------------------------ |
| Trigger Goal                | `umbracoEngage.triggerGoal`              | Fire an Engage goal completion for a visitor.    |
| Score Persona               | `umbracoEngage.scorePersona`             | Add a persona score for a visitor.               |
| Score Customer Journey Step | `umbracoEngage.scoreCustomerJourneyStep` | Add a customer journey step score for a visitor. |

{% hint style="info" %}
Open the step in the canvas to see each action's settings and output fields.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-automate/add-ons/engage/actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
